% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/init.R
\name{stanza_initialize}
\alias{stanza_initialize}
\title{Initialize Stanza}
\usage{
stanza_initialize(
  python = NULL,
  virtualenv = NULL,
  condaenv = NULL,
  model_dir = NULL,
  resources_url = NULL,
  model_url = NULL
)
}
\arguments{
\item{python}{a character string giving the path to the \verb{Python}
binary (executeable) to be used.
The variable \code{python} is passed to \code{reticulate::use_python}.}

\item{virtualenv}{a character string giving the name of the virtual environment,
or the path to the virtual environment, to be used.
The variable \code{virtualenv} is passed to \code{reticulate::use_virtualenv}.}

\item{condaenv}{a character string giving the name of the \verb{Conda} environment to be used.
The variable \code{condaenv} is passed to \code{reticulate::use_condaenv}.}

\item{model_dir}{a character sting giving the path to the directory storing the \code{Stanza} models.}

\item{resources_url}{a character string giving the url to the \code{Stanza} model resources.}

\item{model_url}{a character string giving the model url.}
}
\value{
\code{NULL}
}
\description{
Initialize the \verb{Python} binding to stanza.
}
\examples{
if (stanza_options("testing_level") >= 3L) {
stanza_initialize()
}
}
